
From: Jeff Dike <jdike@addtoit.com>

This shuts up some messages about ioctls being called when they are handled
by the line discipline.

Signed-off-by: Jeff Dike <jdike@addtoit.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/drivers/line.c |   31 +++++++++++++++++++++++++++++++
 1 files changed, 31 insertions(+)

diff -puN arch/um/drivers/line.c~uml-silence-some-message-from-the-console-driver arch/um/drivers/line.c
--- 25/arch/um/drivers/line.c~uml-silence-some-message-from-the-console-driver	2005-01-09 23:44:20.113105832 -0800
+++ 25-akpm/arch/um/drivers/line.c	2005-01-09 23:44:20.117105224 -0800
@@ -198,6 +198,37 @@ int line_ioctl(struct tty_struct *tty, s
 
 	ret = 0;
 	switch(cmd) {
+#ifdef TIOCGETP
+	case TIOCGETP:
+	case TIOCSETP:
+	case TIOCSETN:
+#endif
+#ifdef TIOCGETC
+	case TIOCGETC:
+	case TIOCSETC:
+#endif
+#ifdef TIOCGLTC
+	case TIOCGLTC:
+	case TIOCSLTC:
+#endif
+	case TCGETS:
+	case TCSETSF:
+	case TCSETSW:
+	case TCSETS:
+	case TCGETA:
+	case TCSETAF:
+	case TCSETAW:
+	case TCSETA:
+	case TCXONC:
+	case TCFLSH:
+	case TIOCOUTQ:
+	case TIOCINQ:
+	case TIOCGLCKTRMIOS:
+	case TIOCSLCKTRMIOS:
+	case TIOCPKT:
+	case TIOCGSOFTCAR:
+	case TIOCSSOFTCAR:
+		return -ENOIOCTLCMD;
 #if 0
 	case TCwhatever:
 		/* do something */
_
